Fails with PasswordAuthentication no but ChallengeResponseAuthenication yes

01/20/2016 01:02 PM - Guido Günther

Status: Closed   

Priority: Normal   

Assignee: Guido Günther   

Category: Host creation   

Target version: 1.10.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3104

  

Description

Using ssh finish scripts with the above setup fails with "invalid password". Enabling "keyboard-interactive" in net/ssh as well makes

the login succeed.

Associated revisions

Revision d546fd0a - 01/21/2016 10:48 AM - Guido Günther

fixes #13297 - ssh_provision: try keyboard-interactive as well

With password auth try keyboard-interactive as well since (non PAM

based) password authentication might be disabled in sshd_config (as e.g.

on SLES12).

Revision 6fb06cfb - 02/23/2016 09:59 AM - Guido Günther

fixes #13297 - ssh_provision: try keyboard-interactive as well

With password auth try keyboard-interactive as well since (non PAM

based) password authentication might be disabled in sshd_config (as e.g.

on SLES12).

History

#1 - 01/21/2016 10:50 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Guido Günther

- translation missing: en.field_release set to 123

#2 - 01/21/2016 11:02 AM - Guido Günther

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d546fd0a9d078a82f410613ba5f85eab1dde776b.
